<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetServerDetails](./bitburner.darknetserverdetails.md) &gt; [modelId](./bitburner.darknetserverdetails.modelid.md)

## DarknetServerDetails.modelId property

The model of the server. Similar models have similar vulnerabilities. The model list is intentionally undocumented. You are supposed to experiment and discover the models.

**Signature:**

```typescript
modelId: string;
```
